Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Term::Complete

Perl 5 version 26.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# Term::Complete

- NAME
- SYNOPSIS
- DESCRIPTION
- DIAGNOSTICS
- BUGS
- AUTHOR

# NAME

Term::Complete - Perl word completion module

# SYNOPSIS

        $input = Complete('prompt_string', \@completion_list);    $input = Complete('prompt_string', @completion_list);

# DESCRIPTION

This routine provides word completion on the list of words in the array (or array ref).

The tty driver is put into raw mode and restored using an operating system specific command, in UNIX-like environments `stty` .

The following command characters are defined:

- <tab>

  Attempts word completion. Cannot be changed.

- ^D

  Prints completion list. Defined by $Term::Complete::complete.

- ^U

  Erases the current input. Defined by $Term::Complete::kill.

- <del>, <bs>

  Erases one character. Defined by $Term::Complete::erase1 and $Term::Complete::erase2.

# DIAGNOSTICS

Bell sounds when word completion fails.

# BUGS

The completion character <tab> cannot be changed.

# AUTHOR

Wayne Thompson

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- DIAGNOSTICS
- BUGS
- AUTHOR